Ticket #48312

Lua (City Transfer Ownership)

Open Date: 2023-06-28 22:35 Last Update: 2023-07-19 12:41

Reporter:
(Anonymous)
Owner:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
1

Details

Add a new functionality for the Lua API which handles the transfer of cities' ownership between player (the way a city does when beng conquered or during a Civil War, for example). The module "edit" would be a good place to add such functionality (something like "edit.change_city_ownership). At the time of this writing, this is only possible trough an indirect manner (see https://forum.freeciv.org/f/viewtopic.php?p=108343#p108343)

Ticket History (3/5 Histories)

2023-06-28 22:35 Updated by: None
  • New Ticket "Lua (City Transfer Ownership)" created
2023-06-28 23:08 Updated by: cazfi
  • Milestone Update from (None) to S3_2 d3f
  • Severity Update from 3 to 5 - Medium
  • Priority Update from 3 to 5 - Medium
Comment
2023-07-08 00:16 Updated by: cazfi
  • Owner Update from (None) to cazfi
  • Resolution Update from None to Accepted
2023-07-19 12:41 Updated by: cazfi
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed

Attachment File List

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login